%if 0%{?fedora} || 0%{?rhel} >= 7
%global use_systemd 1
%else
%global use_systemd 0
%endif

#global pre_rel b.2

Name:        sympa
Version:     6.2.22
Release:     %{?pre_rel:0.}1%{?pre_rel:.%pre_rel}%{?dist}
Summary:     Powerful multilingual List Manager
Summary(fr): Gestionnaire de listes électroniques
Summary(ja): 高機能で多言語対応のメーリングリスト管理ソフトウェア
License:     GPLv2+
URL:         http://www.sympa.org

Source0:     https://github.com/sympa-community/sympa/releases/download/%{version}%{?pre_rel}/%{name}-%{version}%{?pre_rel}.tar.gz

Source100:   sympa-httpd22-fcgid.conf
Source101:   sympa-httpd24-fcgid.conf
Source102:   sympa-lighttpd.conf
Source103:   sympa-nginx-spawn_fcgi.conf
Source104:   sympa-nginx-wwsympa-6.2.init
Source105:   sympa-nginx-sympasoap-6.2.init
Source106:   sympa-rsyslog.conf
Source107:   sympa-logrotate.conf
Source112:   sympa-sysvinit-README.RPM.md
Source113:   sympa-systemd-README.RPM.md
Source114:   sympa-aliases
Source129:   sympa.service.d-dependencies.conf

# Add path to MHonArc::UTF8 so that sympa_wizard won't miss it
Patch5:      sympa-6.2a.40-r11708-wizard-mhonarc.patch
# RPM specific customization of site defaults
Patch13:     sympa-6.2.19b.1-confdef.patch
# Disable sympa service by default
Patch14:     sympa-6.2-initdefault.patch

BuildRequires: gcc, make
BuildRequires: gettext
%if %{use_systemd}
BuildRequires: systemd
%endif

# Only for development
%if 0%{?do_autoreconf}
BuildRequires: autoconf, automake, gettext-devel
%endif

BuildRequires: perl-generators
# install & check
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(CGI::Cookie)
BuildRequires: perl(CGI::Util)
BuildRequires: perl(Data::Password)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DBI)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::NFSLock)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::FormatText)
BuildRequires: perl(HTML::StripScripts::Parser)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Locale::Messages)
BuildRequires: perl(MIME::Charset)
BuildRequires: perl(MIME::EncWords)
BuildRequires: perl(MIME::Lite::HTML)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Net::CIDR)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(SOAP::Transport::HTTP)
BuildRequires: perl(Sys::Syslog)
BuildRequires: perl(Template)
BuildRequires: perl(Term::ProgressBar)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Text::LineFold)
BuildRequires: perl(Time::HiRes)
# For Perl prior to 5.16.0.
%if 0%{?rhel} == 6
BuildRequires: perl(Unicode::CaseFold)
%endif
BuildRequires: perl(XML::LibXML)

# authorcheck
%if 0%{?do_authorcheck}
BuildRequires: perl(Test::Fixme)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod::Spelling::CommonMistakes)
%endif

Requires(pre): shadow-utils

%if ! %{use_systemd}
Requires(post):   chkconfig
Requires(preun):  chkconfig
Requires(preun):  initscripts
Requires(postun): initscripts
%endif

Requires:    smtpdaemon
Requires:    mhonarc
Requires:    perl(Class::Singleton)
Requires:    perl(DBD::mysql)
Requires:    perl(HTML::FormatText)
Requires:    perl(HTML::Parser)
Requires:    perl(HTML::StripScripts::Parser)

# Optional CPAN packages
Requires:    perl(AuthCAS)
Requires:    perl(Clone)
Requires:    perl(Crypt::CipherSaber)
Requires:    perl(Crypt::OpenSSL::X509)
Requires:    perl(Crypt::SMIME)
Requires:    perl(Data::Password)
Requires:    perl(DateTime::TimeZone)
Requires:    perl(DBD::CSV)
Requires:    perl(Encode::Locale)
# Recommended for handling Japanese vendor codepages.
Requires:    perl(Encode::EUCJPASCII)
# Handling several Chinese standards.
Requires:    perl(Encode::HanExtra)
Requires:    perl(IO::Socket::SSL)
Requires:    perl(List::Util::XS)
Requires:    perl(Mail::DKIM::Verifier)
Requires:    perl(Net::DNS)
Requires:    perl(Net::SMTP)
# for Perl prior to 5.16.0.
%if 0%{?rhel} == 6
Requires:    perl(Unicode::CaseFold)
%endif
Requires:    perl(Unicode::Normalize)


%package httpd
Summary:  Sympa with Apache HTTP Server
Summary(fr): Sympa avec Serveur HTTP Apache
Summary(ja): SympaのApache HTTP Server対応

Requires: %{name} = %{version}-%{release}
Requires: httpd
Requires: mod_fcgid
Requires: perl(CGI::Fast)
Requires: perl(FCGI)
Conflicts: %{name}-lighttpd, %{name}-nginx


%package lighttpd
Summary:  Sympa with lighttpd
Summary(fr): Sympa avec lighttpd
Summary(ja): Sympaのlighttpd対応

Requires: %{name} = %{version}-%{release}
Requires: lighttpd
Requires: lighttpd-fastcgi
Requires: perl(CGI::Fast)
Requires: perl(FCGI)
Conflicts: %{name}-httpd, %{name}-nginx


%package nginx
Summary:  Sympa with nginx
Summary(fr): Sympa avec nginx
Summary(ja): Sympaのnginx対応

Requires: %{name} = %{version}-%{release}
Requires: nginx
Requires: spawn-fcgi
Requires: perl(CGI::Fast)
Requires: perl(FCGI)
Conflicts: %{name}-httpd, %{name}-lighttpd

%if 0%{?fedora} || 0%{?rhel} >= 7
%{?perl_default_filter}
%global __requires_exclude perl\\(Conf\\)
%global __provides_exclude perl\\(Conf\\)
%endif

%if 0%{?rhel} == 6
%filter_from_provides /perl(Conf)/d
%filter_from_requires /perl(Conf)/d
%filter_setup
%endif


%description
Sympa is scalable and highly customizable mailing list manager. It
can cope with big lists (200,000 subscribers) and comes with a
complete (user and admin) Web interface. It is internationalized,
and supports the us, fr, de, es, it, fi, and chinese locales. A
scripting language allows you to extend the behavior of commands.
Sympa can be linked to an LDAP directory or an RDBMS to create
dynamic mailing lists. Sympa provides S/MIME-based authentication
and encryption.

%description -l ja
Sympa はスケーラブルで高いカスタマイズ性を持つメーリングリスト管理
ソフトウェアです。巨大なリスト (登録者数 200,000) にも適用でき、完
全な (一般ユーザ用および管理者用) ウェブインタフェースをそなえてい
ます。国際化されており、多数の言語に対応します。内蔵のスクリプティ
ング言語でコマンドの動作を拡張できます。Sympa はまた、LDAP ディレ
クトリや RDBMS と連携して動的なメーリングリストを作成できます。ま
た、S/MIME に基づく認証や暗号化もできます。


%description httpd
Apache HTTP Server support for Sympa.

%description httpd -l ja
Sympa の Apache HTTP Server 対応。


%description lighttpd
lighttpd support for Sympa.

%description lighttpd -l ja
Sympa の lighttpd 対応。


%description nginx
nginx support for Sympa.

%description nginx -l ja
Sympa の nginx 対応。


%prep
%setup -q -n %{name}-%{version}%{?pre_rel}
%patch5 -p0 -b .mhonarc
%patch13 -p0 -b .confdef
%patch14 -p0 -b .initdefault


%build
# Development
%if 0%{?do_autoreconf}
autoreconf --install
%endif

# Give install "-p" preserving mtime to prevent unexpected update of CSS.
%configure \
    --enable-fhs \
    --prefix=%{_prefix} \
    --bindir=%{_libexecdir}/sympa \
    --docdir=%{_docdir}/%{name} \
    --libexecdir=%{_libexecdir}/sympa \
    --localstatedir=%{_localstatedir} \
    --sysconfdir=%{_sysconfdir}/sympa \
    --with-cgidir=%{_libexecdir}/sympa \
    --with-confdir=%{_sysconfdir}/sympa \
%if %{use_systemd}
    --with-piddir=%{_rundir}/sympa \
%else
    --with-piddir=%{_localstatedir}/run/sympa/ \
%endif
%if %{use_systemd}
    --without-initdir \
    --with-unitsdir=%{_unitdir} \
%else
    --with-initdir=%{_initrddir} \
%endif
    --with-smrshdir=%{_sysconfdir}/smrsh \
    --with-aliases_file=%{_sysconfdir}/sympa/aliases \
    --with-perl=%{_bindir}/perl \
    INSTALL_DATA='install -c -p -m 644'
%make_build

# cancel workaround in Makefile getting previous version.
rm -f previous_sympa_version

pushd po/sympa; rm -f stamp-po; make; popd
pushd po/web_help; rm -f stamp-po; make; popd


%install
%make_install

%find_lang %{name}
%find_lang web_help

# Fix perm to prevent warning by rpmlint.
chmod a-x %{buildroot}%{_datadir}/%{name}/bin/create_db.Sybase

# Remove useless ca-bundle.crt
rm %{buildroot}%{_datadir}/%{name}/default/ca-bundle.crt

# FIXME: Unbundle static_content/external/font-awesome
# fontawesome-fonts{,-web} (available in Fedora and EPEL)

# FIXME: Unbundle static_content/fonts/Raleway
# impallari-raleway-fonts (available only in Fedora)

# Save version info.
mv %{buildroot}%{_sysconfdir}/sympa/data_structure.version \
    %{buildroot}%{_sysconfdir}/sympa/data_structure.current_version

# Copy *httpd config files.
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
%if 0%{?fedora} || 0%{?rhel} >= 7
install -m 0644 %{SOURCE101} %{buildroot}%{_sysconfdir}/httpd/conf.d/sympa.conf
%else
install -m 0644 %{SOURCE100} %{buildroot}%{_sysconfdir}/httpd/conf.d/sympa.conf
%endif
mkdir -p %{buildroot}%{_sysconfdir}/lighttpd
install -m 0644 %{SOURCE102} %{buildroot}%{_sysconfdir}/lighttpd/sympa.conf
mkdir -p %{buildroot}%{_sysconfdir}/nginx/conf.d
install -m 0644 %{SOURCE103} %{buildroot}%{_sysconfdir}/nginx/conf.d/sympa.conf

# Copy init scripts or unit files for nginx/spawn-fcgi etc.
%if %{use_systemd}
install -m 0644 src/etc/script/nginx-wwsympa.service \
    %{buildroot}%{_unitdir}/wwsympa.service
install -m 0644 src/etc/script/nginx-sympasoap.service \
    %{buildroot}%{_unitdir}/sympasoap.service
mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 src/etc/script/sympa-tmpfiles.conf \
    %{buildroot}%{_tmpfilesdir}/sympa.conf
mkdir -p %{buildroot}%{_sysconfdir}/systemd/system/sympa.service.d
install -m 0644 %{SOURCE129} \
    %{buildroot}%{_sysconfdir}/systemd/system/sympa.service.d/dependencies.conf
%else
install -m 0755 %{SOURCE104} %{buildroot}%{_initrddir}/wwsympa
install -m 0755 %{SOURCE105} %{buildroot}%{_initrddir}/sympasoap
%endif

# Copy docs.
mv %{buildroot}%{_docdir}/%{name} __doc
cp -p AUTHORS.md CONTRIBUTING.md NEWS.md OChangeLog ONEWS README.md __doc/
%if %{use_systemd}
cp -p %{SOURCE113} __doc/README.RPM.md
%else
cp -p %{SOURCE112} __doc/README.RPM.md
%endif
mv %{buildroot}%{_sysconfdir}/sympa/README __doc/
# Remove smtpc.1.md (this should be made a manpage instead)
rm __doc/smtpc.1.md

# Copy robot aliases.
install -m 0640 %{SOURCE114} %{buildroot}%{_sysconfdir}/sympa/aliases
touch %{buildroot}%{_sysconfdir}/sympa/aliases.db

# Copy rsyslog config
mkdir -p %{buildroot}%{_sysconfdir}/rsyslog.d
install -m 0644 %{SOURCE106} %{buildroot}%{_sysconfdir}/rsyslog.d/sympa.conf

# Create logrotate item
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE107} %{buildroot}%{_sysconfdir}/logrotate.d/sympa

# Create configuration override structure
for conffile in \
    auth.conf charset.conf crawlers_detection.conf create_list.conf \
    edit_list.conf nrcpt_by_domain.conf topics.conf \
    mime.types sympa.wsdl ;
    do cp -a %{buildroot}%{_datadir}/%{name}/default/$conffile \
        %{buildroot}%{_sysconfdir}/%{name}/;
done
for confdir in \
    create_list_templates global_task_models list_task_models scenari \
    mail_tt2 web_tt2 custom_actions custom_conditions data_sources families \
    search_filters ;
    do mkdir %{buildroot}%{_sysconfdir}/$confdir
done


%check
%if 0%{?fc25}%{?fc26}
#### Temporarily ignoring tests results, failing on F25 and F26
##   Failed test 'file, nothing else: ok'
##   at t/tools_file.t line 23.
#
##   Failed test 'file, invalid mode: ok (fixme)'
##   at t/tools_file.t line 32.
## Looks like you failed 2 tests of 23.
#t/tools_file.t ........... 
#Dubious, test returned 2 (wstat 512, 0x200)
#Failed 2/23 subtests
make check || true
%else
make check
%endif
%if 0%{?do_authorcheck}
make authorcheck || true
%endif


%pre
# Create "sympa" group if it does not exist
getent group sympa >/dev/null || /usr/sbin/groupadd -r sympa

# Create "sympa" user if it does not exist
getent passwd sympa >/dev/null || \
  /usr/sbin/useradd -r -g sympa \
      -d %{_localstatedir}/lib/sympa \
      -c "System User for Sympa" \
      -s "/sbin/nologin" \
      sympa
exit 0


%post
# register service
%if %{use_systemd}
%systemd_post sympa.service
%else
/sbin/chkconfig --add sympa
%endif

# create cookie
function create_cookie {
    cook=`mktemp`
    perl -ne 'chomp $_; print $1 if /^cookie\s+(\S.*)/' \
        %{_sysconfdir}/sympa/sympa.conf > $cook
    if [ '!' -s $cook ]; then
        if [ -e %{_sysconfdir}/sympa/cookies.history ]; then
            cp -p %{_sysconfdir}/sympa/cookies.history $cook
        else
            dd if=/dev/urandom bs=2048 count=1 2>/dev/null | md5sum | \
            cut -d" " -f1 > $cook
        fi
        perl -i -pe '/^#cookie\s/ and $_ = "cookie ".`cat '$cook'`."\n"' \
            %{_sysconfdir}/sympa/sympa.conf
    fi
    rm -f $cook
}

# create config at first time.
function create_config {
    if [ '!' -e %{_sysconfdir}/sympa/data_structure.version ]; then
        ## create site configurations
        cp -p %{_sysconfdir}/sympa/data_structure.current_version \
            %{_sysconfdir}/sympa/data_structure.version
    fi
}

function upgrade_data_structure {
    # Stop sympa if it is running
%if %{use_systemd}
    if systemctl is-active sympa > /dev/null 2>&1; then
        /usr/bin/systemctl stop sympa > /dev/null 2>&1
        ACTIVE="yes"
    fi
%else
    if [ -e %{_localstatedir}/lock/subsys/sympa ]; then
        /sbin/service sympa stop > /dev/null 2>&1
        ACTIVE="yes"
    fi
%endif
    # Upgrade
    rm -f %{_sysconfdir}/sympa/sympa.conf.bin > /dev/null 2>&1
    if %{_sbindir}/sympa.pl --upgrade > /dev/null 2>&1; then
        # Start sympa if it was running previously
        if [ $ACTIVE == "yes" ]; then
%if %{use_systemd}
            /usr/bin/systemctl start sympa > /dev/null 2>&1
%else
            /sbin/service sympa start > /dev/null 2>&1
%endif
        fi
    else
        echo ============================================================
        echo Notice: Failed upgrading data structure.  See logfile.
        echo Sympa is stopped.
        echo ============================================================
    fi
}

# Install
if [ $1 -eq 1 ]; then
    create_cookie
    create_config

    echo ============================================================
    echo Sympa had been installed successfully.  If you installed
    echo Sympa at first time, please read:
    echo %{_docdir}/%{name}-%{version}/README.RPM.md
    echo ============================================================
fi

# Update
if [ $1 -gt 1 ]; then
    upgrade_data_structure
fi


%post nginx
# register service
%if %{use_systemd}
%systemd_post wwsympa.service
%systemd_post sympasoap.service
%else
/sbin/chkconfig --add wwsympa
/sbin/chkconfig --add sympasoap
%endif


%preun
%if %{use_systemd}
%systemd_preun sympa.service
%else
if [ $1 -eq 0 ] ; then
    /sbin/service sympa stop >/dev/null 2>&1
    /sbin/chkconfig --del sympa
fi
%endif


%preun nginx
%if %{use_systemd}
%systemd_preun wwsympa.service
%systemd_preun sympasoap.service
%else
if [ $1 -eq 0 ] ; then
    /sbin/service wwsympa stop >/dev/null 2>&1
    /sbin/service sympasoap stop >/dev/null 2>&1
    /sbin/chkconfig --del wwsympa
    /sbin/chkconfig --del sympasoap
fi
%endif


%postun
%if %{use_systemd}
%systemd_postun_with_restart sympa.service
%else
if [ "$1" -ge "1" ] ; then
    /sbin/service sympa condrestart >/dev/null 2>&1 || :
fi
%endif


%postun nginx
%if %{use_systemd}
%systemd_postun_with_restart wwsympa.service
%systemd_postun_with_restart sympasoap.service
%else
if [ "$1" -ge "1" ] ; then
    /sbin/service wwsympa condrestart >/dev/null 2>&1 || :
    /sbin/service sympasoap condrestart >/dev/null 2>&1 || :
fi
%endif


%files -f %{name}.lang
%doc __doc/*
%license COPYING
%dir %attr(-,sympa,sympa) %{_sysconfdir}/sympa/
%config(noreplace) %attr(0640,sympa,sympa) %{_sysconfdir}/sympa/sympa.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/auth.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/charset.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/crawlers_detection.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/create_list.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/edit_list.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/nrcpt_by_domain.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/topics.conf
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/mime.types
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/sympa.wsdl
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/create_list_templates
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/global_task_models
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/list_task_models
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/scenari
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/mail_tt2
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/web_tt2
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/custom_actions
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/custom_conditions
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/data_sources
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/families
%dir %attr(-,sympa,sympa) %{_sysconfdir}/%{name}/search_filters
%config(noreplace) %attr(-,sympa,sympa) %{_sysconfdir}/sympa/aliases
%config(noreplace) %{_sysconfdir}/sympa/aliases.db
%config(missingok) %{_sysconfdir}/sympa/data_structure.current_version
%{_sysconfdir}/smrsh/*
%config(noreplace) %{_sysconfdir}/rsyslog.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/sympa
%{_sbindir}/*
%dir %{_libexecdir}/sympa/
%attr(4755,sympa,sympa) %{_libexecdir}/sympa/bouncequeue
%attr(4755,sympa,sympa) %{_libexecdir}/sympa/familyqueue
%attr(4755,sympa,sympa) %{_libexecdir}/sympa/queue
%attr(4750,root,sympa) %{_libexecdir}/sympa/sympa_newaliases-wrapper
%attr(0750,sympa,sympa) %{_libexecdir}/sympa/sympa_smtpc
%attr(-,sympa,sympa) %{_localstatedir}/lib/sympa/
%attr(-,sympa,sympa) %{_localstatedir}/spool/sympa/
%{_datadir}/sympa/
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%if %{use_systemd}
%{_unitdir}/sympa.service
%{_unitdir}/sympa-outgoing.service
%{_unitdir}/sympa-archive.service
%{_unitdir}/sympa-bounce.service
%{_unitdir}/sympa-task.service
%{_tmpfilesdir}/sympa.conf
%ghost %{_rundir}/sympa/
%dir %{_sysconfdir}/systemd/system/sympa.service.d/
%config(noreplace) %{_sysconfdir}/systemd/system/sympa.service.d/*
%else
%{_initrddir}/sympa
%attr(-,sympa,sympa) %{_localstatedir}/run/sympa/
%endif


%files httpd -f web_help.lang
%config(noreplace) %{_sysconfdir}/httpd/conf.d/sympa.conf
%attr(6755,sympa,sympa) %{_libexecdir}/sympa/sympa_soap_server-wrapper.fcgi
%{_libexecdir}/sympa/sympa_soap_server.fcgi
%attr(6755,sympa,sympa) %{_libexecdir}/sympa/wwsympa-wrapper.fcgi
%{_libexecdir}/sympa/wwsympa.fcgi


%files lighttpd -f web_help.lang
%config(noreplace) %{_sysconfdir}/lighttpd/sympa.conf
%attr(6755,sympa,sympa) %{_libexecdir}/sympa/sympa_soap_server-wrapper.fcgi
%{_libexecdir}/sympa/sympa_soap_server.fcgi
%attr(6755,sympa,sympa) %{_libexecdir}/sympa/wwsympa-wrapper.fcgi
%{_libexecdir}/sympa/wwsympa.fcgi


%files nginx -f web_help.lang
%config(noreplace) %{_sysconfdir}/nginx/conf.d/sympa.conf
%{_libexecdir}/sympa/sympa_soap_server.fcgi
%{_libexecdir}/sympa/wwsympa.fcgi
%if %{use_systemd}
%{_unitdir}/wwsympa.service
%{_unitdir}/sympasoap.service
%else
%{_initrddir}/wwsympa
%{_initrddir}/sympasoap
%endif


%changelog
* Tue Oct 03 2017 Xavier Bachelot <xavier@bachelot.org> 6.2.22-1
- Update to 6.2.22.

* Thu Sep 14 2017 Xavier Bachelot <xavier@bachelot.org> 6.2.19-0.2.b.2
- Rework spec to better comply with Fedora packaging guidelines.

* Sat Aug 19 2017 IKEDA Soji <ikeda@conversion.co.jp> 6.2.19b.1-1
- Added --bindir to install sympa_smtpc under libexecdir.

* Sun Jun 25 2017 IKEDA Soji <ikeda@conversion.co.jp> 6.2.18-1
- Updated.

* Thu Jun 15 2017 IKEDA Soji <ikeda@conversion.co.jp> 6.2.17b.2-1
- Updated README.RPM.md.

* Sun Aug 07 2016 IKEDA Soji <ikeda@conversion.co.jp> 6.2.17-1
- Typos in el6-README.RPM.
- Added a build dependency perl(Test::Harness).
- Added a dependency perl(Unicode::Normalize).
- Added a definition parameter %%{do_autoreconf}.

* Sat Jun 18 2016 IKEDA Soji <ikeda@conversion.co.jp> 6.2.16-1
- Adopted adjustment to Fedora by Xavier Bachelot <xavier@bachelot.org>.
- Avoiding use of buildroot macro in build section.
- Simplified configure option.
- Added patch14 to disable service by default.
- Added unit customization file source129.

* Thu Feb 26 2015 IKEDA Soji <ikeda@conversion.co.jp> 6.2-1
- New minor release sympa-6.2.
